# Class ZoneContent<P,A>

java.lang.Object
uk.ac.starlink.ttools.plot2.ZoneContent<P,A>

public class ZoneContent<P,A> extends Object
Gives the layer content and surface construction details for one zone of a Gang.

Since:
  25 Jan 2016
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ZoneContent(P profile, A aspect, PlotLayer[] layers)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`A`
`getAspect()`
Returns surface aspect.
`PlotLayer[]`
`getLayers()`
Returns plot layers.
`P`
`getProfile()`
Returns surface profile.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZoneContent

public ZoneContent(P profile, A aspect, PlotLayer[] layers)
Constructor.

Parameters:
  `profile` - profile of surface
  `aspect` - aspect of surface
  `layers` - plot layers to be painted

## Method Details

### getProfile

public P getProfile()
Returns surface profile.

Returns:
  profile of zone surface

### getAspect

public A getAspect()
Returns surface aspect.

Returns:
  aspect of zone surface

### getLayers

public PlotLayer[] getLayers()
Returns plot layers.

Returns:
  layers to paint in zone